"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** Authorization Interface
 *
 */
class Authorization {
    set() {
        if (arguments.length === 0) {
            if (this._setter)
                return this._setter;
            else
                throw new Error("Authentication Setter was never set!");
        }
        if (typeof arguments[0] !== "function")
            throw new TypeError("Authentication Setter must be a function!");
        this._setter = arguments[0];
    }
    get() {
        if (arguments.length === 0) {
            if (this._getter)
                return this._getter;
            else
                throw new Error("Authentication Getter was never set!");
        }
        if (typeof arguments[0] !== "function")
            throw new TypeError("Authentication Setter must be a function!");
        this._getter = arguments[0];
    }
}
exports.default = Authorization;
