/// <reference types="node" />
/** /BodyParser
 *
 * @author Alex Malotky
 */
import { IncomingMessage } from "http";
export interface BodyData {
    [key: string]: string | Blob | undefined;
}
export default function BodyParser(request: IncomingMessage | Request): Promise<BodyData>;
