/** /Util
 *
 * @author Alex Malotky
 */
export declare const HEADER_VALUE = "application/json";
export declare const HEADER_KEY = "Update-Type";
/** Sleep
 *
 * @param {number} n
 */
export declare function sleep(n?: number): Promise<void>;
/** Dictionary Include
 *
 * @param {Dictionary} dictionary
 * @param {string} name
 * @returns {boolean}
 */
export declare function dictionaryInclude(dictionary: Record<string, any>, name: string): boolean;
/** Is Cloudfare Request
 *
 * @param {any} request
 * @returns {boolean}
 */
export declare function isCloudflareRequest(request: any): request is Request;
/** Detect Cloudflare Environment
 *
 */
export declare function inCloudfareWorker(): boolean;
/** Detect Node Environment
 *
 */
export declare function inNodeEnvironment(): boolean;
/** Join Paths
 *
 * @param paths
 */
export declare function joinPath(...paths: Array<string>): string;
