/** /Validation/List
 *
 * @author Alex Malotky
 */
import Type, { List, TypeValidator } from "./Type";
export declare const ListName = "List";
/** List Validator
 *
 */
export default class ListValidator<T extends Type> extends TypeValidator<List<T>> {
    private _seperator;
    constructor(type: TypeValidator<T>, seperator?: string, value?: T[]);
    simplify(value: List<T>): string;
}
