/** /Validation/Types/Empty
 *
 * @author Alex Malotky
 */
import { format } from "./";
type Empty = null | undefined;
export default Empty;
/** Format Color
*
* @param value
*/
export declare function formatEmpty(value: unknown): Empty;
/** is Empty
 *
 * @param {value} value
 * @param {boolean} string
 * @returns {boolean}
 */
export declare function isEmpty(value: unknown, string?: boolean): value is Empty;
/** Handle Empty Type
 *
 * @param {unknown} value
 * @param {string} name
 * @param {any} ifEmpty
 * @returns {unknown}
 */
export declare function emptyHandler<T>(value: unknown, format: format<T>, name: string, ifEmpty?: T): T;
export declare class EmptyError extends Error {
}
