type Time = string;
export default Time;
export type Format = ":AM" | ":PM";
/** Format Time
 *
 * Used to format / sanitize email input.
 *
 * @param {unknown} value
 * @returns {Time}
 */
export declare function formatTime(value: unknown): Time;
/** Validate Time
 *
 * @param {unknwon} value
 * @returns {boolean}
 */
export declare function isTime(value: unknown): value is Time;
