import Element from "./Element";
/** Content Type
 *
 */
type Content = string | number | boolean | null | undefined | Function | Element | Array<Content>;
export default Content;
/** Compress Content
 *
 * @param {Content} content
 * @returns {string}
 */
export declare function compressContent(content: Content): string;
/** Convert Content To Update
 *
 * @param {Dictionary<Content>} value
 * @returns {Dictionary<string>|undefined}
 */
export declare function toUpdate(value: Record<string, Content> | undefined): Record<string, string> | undefined;
