/** /View/Html/Elements/Script
*
* https://developer.mozilla.org/en-US/docs/Web/HTML/Element/script
*
* @author Alex Malotky
*/
import { GlobalAttributes, CrossOrigin, Priority, RefferPolicy } from "../Attributes";
export default interface ScriptAttributes extends GlobalAttributes {
    async?: boolean;
    attributeionsrc?: string | boolean;
    blocking?: "render" | boolean;
    corssorigin?: CrossOrigin;
    defer?: boolean;
    fetchpriority?: Priority;
    integrity?: string;
    nomodule?: boolean;
    nonce?: string;
    refferpolicy?: RefferPolicy;
    src?: string;
    type?: "importmap" | "module" | "specultaionrules";
    charset?: "utf-8";
    language?: string;
    name?: string;
    env?: boolean;
}
