"use strict";
/** /View/Html/Function
 *
 * @author Alex Malotky
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.toString = void 0;
/** Convert Function to String
 *
 * Will convert a function to a string so that it can be executed on the front end.
 *
 * !! Does loose its scope !!
 *
 * @param {Function} fun
 * @returns {string}
 */
function toString(fun) {
    const str = "" + fun;
    return str.substring(str.indexOf("{") + 1, str.lastIndexOf("}") - 1)
        .replace(/\s+/g, " ").trim();
}
exports.toString = toString;
