"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateTitle = void 0;
/** Title Tag
 *
 * https://developer.mozilla.org/en-US/docs/Web/HTML/Element/title
 * @param {TitleInit} value
 * @returns {HTMLContent}
 */
function Title(value) {
    return "<title>" + value + "</title>";
}
exports.default = Title;
/** Update Title
 *
 */
function updateTitle(init = "", update = "") {
    if (init) {
        if (update)
            return init + " | " + update;
        return init;
    }
    return update;
}
exports.updateTitle = updateTitle;
