import HTMLAttributes from "./Element/Html";
import { createElement } from "./Element";
import Content, { compressContent } from "./Content";
import { HeadInit } from "./Head";
type HTMLElement = string;
export default HTMLElement;
export type HTMLInit = HTMLAttributes;
export { createElement, compressContent };
/** Generate HTML Document
 *
 * @param {Dictionary<string>} att
 * @param {string} head
 * @param {Array<Element|Content>} content
 * @returns {string}
 */
export declare function HtmlDocument(att: HTMLInit, head: HeadInit, content: Array<Content> | Content): HTMLElement;
