import { AttributeList } from "../Html/Attributes";
/** Header Sub Element Tracker
 *
 */
export default class Tracker {
    protected _current: Record<string, Element>;
    private _name;
    /** Tracker Constructor
     *
     * @param {HTMLElement} head
     * @param {string} name
     */
    constructor(head: HTMLElement, name: string);
    /** Update Tracked Elements
     *
     * @param {Record<string, AttributeList>} updates
     */
    update(updates: Record<string, AttributeList>): void;
    /** Update Element
     *
     * @param {Element} element
     * @param {AttributeList} update
     */
    static updateElement(element: Element, update?: AttributeList): void;
}
