/** /HttpError
 *
 * @author Alex Malotky
 */
/** Get Message
 *
 * https://developer.mozilla.org/en-US/docs/Web/HTTP/Status
 *
 * @param {number} value
 * @returns {string}
 */
export declare function getMessage(value: number): string | null;
/** Http Error
 *
 */
export default class HttpError extends Error {
    #private;
    /** constructor
     *
     * @param {number} status
     * @param {string} message
     */
    constructor(status: number, message?: string);
    /** Status Getter
     *
     */
    get status(): number;
}
