"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nodeImport = void 0;
/** /Node
 *
 * This file was created to hide from webpack, and remove the error/warning caused by
 * require call.
 *
 * @author Alex Malotky
 */
const Util_1 = require("./Util");
function nodeImport(module) {
    if (!(0, Util_1.inNodeEnvironment)())
        throw new Error("Not in the Node Environment to import: " + module);
    return require(module);
}
exports.nodeImport = nodeImport;
