/** /Validation/Optional
 *
 * @author Alex Malotky
 */
import Type, { Optional, TypeValidator, Simple } from "./Type";
export declare const OptionalName = "Optional";
/** Optional Validator
 *
 */
export default class OptionalValidator<T extends Type> extends TypeValidator<Optional<T>> {
    private _proto;
    constructor(type: TypeValidator<T>, value?: Optional<T>);
    simplify(value: Optional<T>): Simple;
}
