type Date = string;
export default Date;
/** Format Date
 *
 * Used to format / sanitize email input.
 *
 * @param {unknown} value
 * @returns {Date}
 */
export declare function formatDate(value: unknown): Date;
/** Combine Date
 *
 * @param {number} y
 * @param {number} m
 * @param {number} d
 * @returns {Date}
 */
export declare function combineDate(y: number, m: number, d: number): Date;
/** Validate Date Parts
 *
 * @param {number} year
 * @param {number} month
 * @param {number} day
 * @returns {boolean}
 */
export declare function validateDateParts(year: number, month: number, day: number): boolean;
/** Is Date
 *
 * @param {unknwon} value
 * @returns {boolean}
 */
export declare function isDate(value: unknown): value is Date;
