type Telephone = string;
export default Telephone;
/** Format Telephone
 *
 * Used to format / sanitize email input.
 *
 * @param {unknown} value
 * @returns {Telephone}
 */
export declare function formatTelephone(value: unknown): Telephone;
/** Validate Telephone
 *
 * @param {unknwon} value
 * @returns {boolean}
 */
export declare function isTelephone(value: unknown): value is Telephone;
