/** /View/Html/Head/Base
 *
 * @author Alex Malotky
 */
import HTMLElement from "..";
import BaseInit from "../Element/Base";
export type { BaseInit };
/** Base Tag
 *
 * https://developer.mozilla.org/en-US/docs/Web/HTML/Element/base
 * @param {BaseAttributes} value
 * @returns {HTMLContent}
 */
export default function Base(value: BaseInit): HTMLElement;
