/** /View/Html/Head/Title
 *
 * @author Alex Malotky
 */
import HTMLElement from "..";
export type TitleInit = string;
export type TitleUpdate = string;
/** Title Tag
 *
 * https://developer.mozilla.org/en-US/docs/Web/HTML/Element/title
 * @param {TitleInit} value
 * @returns {HTMLContent}
 */
export default function Title(value: TitleInit): HTMLElement;
/** Update Title
 *
 */
export declare function updateTitle(init?: TitleInit, update?: TitleUpdate): TitleUpdate;
